# Gmagick::setfilename

(PECL gmagick >= Unknown)

Gmagick::setfilename — Sets the filename before you read or write the image

### Description

public Gmagick::setfilename ( string `$filename` ) : Gmagick

Sets the filename before you read or write an image file.

### Parameters

`filename`

  The image filename.

### Return Values

The Gmagick object on success

### Errors/Exceptions

Throws an GmagickException on error.